package
{
	import flash.ui.Mouse;
	
	import org.flixel.*;
	import org.flixel.FlxSprite;
	import org.flixel.FlxState;
	import org.flixel.FlxU; 
	
	public class TitleState extends FlxState
	{
		//[Embed(source = "data/fish.png")] private var FishImg:Class;
		//[Embed(source = "data/woman.png")] private var ImgWoman:Class;
		//[Embed(source = "data/fanfare.mp3")] public static var SndFanfare:Class;
		//[Embed(source = "data/sound.mp3")] public static var SndSound:Class;
		//[Embed(source = "data/gameover.mp3")] public static var SndGameover:Class;
		
		private var _blur:Number;
		private var _helper:FlxSprite;
		private var _fg:FlxSprite;
		public var title:FlxSprite; 
		override public function create():void
		{
			FlxG.playMusic(GameState.SndMusic);
			_blur=0.1;
			_helper = new FlxSprite();
			_helper.loadGraphic(GameState.BgImg,true,false,576,384);
			_helper.addAnimation("play",[0,1],1,true);
			_helper.play("play",true);
			_helper.alpha = _blur;	
			
			FlxG.level=0;
			
			_fg = new FlxSprite(0,0);
			_fg.createGraphic(48,32,0x01000000,true);			
			_fg.scale.x=12;
			_fg.scale.y=12;
			_fg.x=576/2-48/2;
			_fg.y=384/2-32/2;
			this.add(_fg);
			
			
			title = new FlxSprite(0,0);
			title.loadGraphic(GameState.TitleImg);
			title.scale.x=12;
			title.scale.y=12;
			title.x=576/2-48/2;
			title.y=384/2-32/2;
			this.add(title);
			title.visible=false;
			time=0;
		}
		public var time:Number;
		override public function update():void
		{
			time+=FlxG.elapsed;
			if (time>0.1)
			{
				time=0;
				_fg._pixels.fillRect(_fg._pixels.rect,0);
				_fg._pixels.setPixel32(Math.random()*48,Math.random()*32,0xff000000);
				for (var i:int=0;i<1000;i++)
				{
					var tx:int =Math.random()*48;
					var ty:int =Math.random()*32;
					if (title._pixels.getPixel32(tx,ty)!=0)
					{
						_fg._pixels.setPixel32(tx,ty,0xff000000);
					}
				}
				_fg.resetHelpers();
			}
			if (FlxG.keys.justPressed("X"))
			{
				FlxG.state = new GameState();
			}

			super.update();
		}
		override public function preProcess():void
		{
			screen.draw(_helper);
		}
	}
}